Bug 171425 - Segmentation fault opening rtf document
Segmentation fault opening rtf document
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-21 12:49 EDT by Orion Poplawski
Modified: 2011-07-15 04:19 EDT (History)
0 users

See Also:
Fixed In Version: 2.0.0-3.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-26 12:12:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RTF file that crashes OO (333.28 KB, application/rtf)
2005-10-21 12:49 EDT, Orion Poplawski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 56536 None None None Never

  None (edit)
Description Orion Poplawski 2005-10-21 12:49:36 EDT
Description of problem:
I get a segmentation fault when I open the attached rtf document.

#0  0x0091d3cd in memmove () from /lib/libc.so.6
#1  0x0050f338 in icu_2_6::UnicodeString::doReplace ()
   from /usr/lib/openoffice.org2.0/program/libicuuc.so.26
#2  0x0051011b in icu_2_6::UnicodeString::UnicodeString ()
   from /usr/lib/openoffice.org2.0/program/libicuuc.so.26
#3  0xb37174b1 in
com::sun::star::i18n::BreakIterator_Unicode::loadICUWordBreakIterator
    (this=0x4be3db8, Text=@0xbfecf9e4, nStartPos=0, rLocale=@0x149bcc0, rWordType=2)
    at
/usr/src/debug/OOO680_m3/i18npool/source/breakiterator/breakiterator_unicode.cxx:149
#4  0xb371696f in com::sun::star::i18n::BreakIterator_Unicode::getWordBoundary (
    this=0x4be3db8, Text=@0xbfecf9e4, nPos=0, rLocale=@0x149bcc0, rWordType=2,
    bDirection=1 '\001')
    at
/usr/src/debug/OOO680_m3/i18npool/source/breakiterator/breakiterator_unicode.cxx:312
#5  0xb3713c0d in com::sun::star::i18n::BreakIteratorImpl::getWordBoundary (
    this=0x44dee00, Text=@0xbfecf9e4, nPos=0, rLocale=@0x149bcc0, rWordType=2,
    bDirection=1 '\001')
    at
/usr/src/debug/OOO680_m3/i18npool/source/breakiterator/breakiteratorImpl.cxx:191
#6  0xb466ef23 in SwScanner::NextWord (this=0xbfecfb20)
    at /usr/src/debug/OOO680_m3/sw/source/core/txtnode/txtedt.cxx:618
#7  0xb466fff8 in SwTxtFrm::_AutoSpell (this=0x13461a8, pActNode=0x5fd8920,
    nActPos=65535) at /usr/src/debug/OOO680_m3/sw/source/core/txtnode/txtedt.cxx:987
#8  0xb45daa81 in SwLayIdle::_FormatSpelling (this=0xbfecfcd8, pCnt=0x13461a8)
    at /usr/src/debug/OOO680_m3/sw/source/core/layout/layact.cxx:2523
#9  0xb45dac32 in SwLayIdle::FormatSpelling (this=0xbfecfcd8, bVisAreaOnly=0 '\0')
    at /usr/src/debug/OOO680_m3/sw/source/core/layout/layact.cxx:2580
#10 0xb45dcdfa in SwLayIdle (this=0xbfecfcd8, pRt=0x973c2b1c, pI=0xbfecf85c)
    at /usr/src/debug/OOO680_m3/sw/source/core/layout/layact.cxx:2903
#11 0xb450e9e7 in ViewShell::LayoutIdle (this=0x42dc320)
    at /usr/src/debug/OOO680_m3/sw/source/core/view/viewsh.cxx:752
#12 0xb4698d7b in SwDoc::DoIdleJobs (this=0x5fd3410, pTimer=0x5fd34bc)
    at /usr/src/debug/OOO680_m3/sw/source/core/doc/doclay.cxx:1917
#13 0xb4698e68 in SwDoc::LinkStubDoIdleJobs (pThis=0x5fd3410, pCaller=0x5fd34bc)
    at /usr/src/debug/OOO680_m3/sw/source/core/doc/doclay.cxx:1896
#14 0x068da300 in Link::Call (this=0x5fd34cc, pCaller=0x5fd34bc)
    at /usr/src/debug/OOO680_m3/solver/680/unxlngi6.pro/inc/tools/link.hxx:154
#15 0x068e5dce in Timer::Timeout (this=0x973c2b1c)
    at /usr/src/debug/OOO680_m3/vcl/source/app/timer.cxx:281
#16 0x068e6148 in ImplTimerCallbackProc ()
    at /usr/src/debug/OOO680_m3/vcl/source/app/timer.cxx:169
#17 0x00e24e51 in SalTimer::CallCallback (this=0x973c2b1c)
    at ../../../inc/saltimer.hxx:80
#18 0x00e24e3c in SalData::Timeout (this=0xdb0ce0)
    at /usr/src/debug/OOO680_m3/vcl/unx/source/app/saltimer.cxx:66
#19 0x00e245e6 in SalXLib::CheckTimeout (this=0xdb15b8, bExecuteTimers=true)
    at /usr/src/debug/OOO680_m3/vcl/unx/source/app/saldata.cxx:703
#20 0x00e247ce in SalXLib::Yield (this=0xdb15b8, bWait=1 '\001')
    at /usr/src/debug/OOO680_m3/vcl/unx/source/app/saldata.cxx:786
#21 0x00e2bafa in X11SalInstance::Yield (this=0xdb0cb8, bWait=1 '\001')
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/OOO680_m3/vcl/unx/source/app/salinst.cxx:290
#22 0x068e0594 in Application::Yield ()
    at /usr/src/debug/OOO680_m3/vcl/source/app/svapp.cxx:539
#23 0x068e05ca in Application::Execute ()
    at /usr/src/debug/OOO680_m3/vcl/source/app/svapp.cxx:501
#24 0x00824c73 in desktop::Desktop::Main (this=0xbfed01d8)
    at /usr/src/debug/OOO680_m3/desktop/source/app/app.cxx:1627
#25 0x068e599f in ImplSVMain ()
    at /usr/src/debug/OOO680_m3/vcl/source/app/svmain.cxx:242
#26 0x068e5a4f in SVMain () at
/usr/src/debug/OOO680_m3/vcl/source/app/svmain.cxx:273
#27 0x0081fad7 in sal_main (argc=2, argv=0xbfed02c4)
    at /usr/src/debug/OOO680_m3/desktop/source/app/main.cxx:77
#28 0x0081fb23 in main (argc=2, argv=0xbfed02c4)
    at /usr/src/debug/OOO680_m3/desktop/source/app/main.cxx:71
#29 0x008c6d5f in __libc_start_main () from /lib/libc.so.6
#30 0x080484c5 in _start ()

Version-Release number of selected component (if applicable):
2.0.0-3.1.1

How reproducible:
Every time
Comment 1 Orion Poplawski 2005-10-21 12:49:37 EDT
Created attachment 120265 [details]
RTF file that crashes OO
Comment 2 Orion Poplawski 2005-10-21 16:48:59 EDT
Note that this is a problem with the most recent regular FC4 OO update.  I just
thought I'd test with the latest version.
Comment 3 Caolan McNamara 2005-10-24 10:42:37 EDT
most odd, I can work around this to make it not crash, so will be fixed >
2.0.0-3.2.  http://www.openoffice.org/issues/show_bug.cgi?id=56536

Note You need to log in before you can comment on or make changes to this bug.